# Parallels Desktop for Mac PKG
This script automatically fetch the lastest version of Parallels Desktop for Mac, patch it and build the full PKG installer.

## Compatibility
Parallels Desktop 15, 16, 17, 18 and newer

## Usage
```bash
bash build_pkg.sh               # to build the latestet version
bash build_pkg.sh 18.0.0-53049  # to build the specified verion
```

## Dependencies
You may need [Homebrew](https://brew.sh) to install dependencies.

This script requires the following dependencies:
```bash
brew install radare2
python3 -m pip install r2pipe
```

## Acknowledgments
Thanks to [@somebasj](https://git.icrack.day/somebasj) for the patching solution.  
This project is based on [somebasj/ParallelsDesktopCrack](https://git.icrack.day/somebasj/ParallelsDesktopCrack).

## Disclaimer
THIS SOFTWARE IS ONLY FOR LEARNING AND RESEARCH USE.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
